LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 12-06-2019, 09:23 AM   #2281
Geist
Member
 
Registered: Jul 2013
Distribution: Slackware 14 / current
Posts: 262

Rep: Reputation: Disabled

RetroArch 1.7.7 seems to point at a github archive for its source that comes with Windows dlls instead of elflibs.

Info file:
Code:
PRGNAM="RetroArch"
VERSION="1.7.7"
HOMEPAGE="https://www.libretro.com/"
DOWNLOAD="https://github.com/libretro/RetroArch/releases/download/v1.7.7/RetroArch-1.7.7.tar.xz"
MD5SUM="a8516a7a15502c85c371f83c104aa1c6"
 
Old 12-06-2019, 10:30 AM   #2282
orbea
Senior Member
 
Registered: Feb 2015
Distribution: Slackware64-current
Posts: 1,839

Rep: Reputation: Disabled
I don't know what you are talking about? Its a source archive that I uploaded to their github page myself. Regardless, this is the wrong thread for this, you should e-mail the maintainer directly unless it only affects current. (It was only chance I read here)
 
Old 12-06-2019, 10:57 AM   #2283
Geist
Member
 
Registered: Jul 2013
Distribution: Slackware 14 / current
Posts: 262

Rep: Reputation: Disabled
Quote:
Originally Posted by orbea View Post
I don't know what you are talking about? Its a source archive that I uploaded to their github page myself. Regardless, this is the wrong thread for this, you should e-mail the maintainer directly unless it only affects current. (It was only chance I read here)
Well, you got me "only not working on current", I don't have a reference installation for that.
But what I am talking about is:
It doesn't build.

Code:
gcc -Wall -c -o wahwah.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include wahwah.c
gcc -Wall -c -o crystalizer.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include crystalizer.c
gcc -Wall -c -o tremolo.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include tremolo.c
gcc -Wall -c -o eq.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include eq.c
gcc -Wall -c -o phaser.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include phaser.c
gcc -Wall -c -o panning.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include panning.c
gcc -Wall -c -o iir.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include iir.c
gcc -Wall -c -o reverb.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include reverb.c
gcc -Wall -c -o vibrato.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include vibrato.c
gcc -Wall -c -o chorus.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include chorus.c
gcc -Wall -c -o echo.o   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include echo.c
gcc -Wall -o crystalizer.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include crystalizer.o
gcc -Wall -o tremolo.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include tremolo.o
gcc -Wall -o wahwah.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include wahwah.o
gcc -Wall -o panning.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include panning.o
gcc -Wall -o chorus.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include chorus.o
gcc -Wall -o echo.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include echo.o
gcc -Wall -o phaser.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include phaser.o
gcc -Wall -o vibrato.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include vibrato.o
gcc -Wall -o reverb.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include reverb.o
gcc -Wall -o iir.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include iir.o
gcc -Wall -o eq.dll  -shared -lm -Wl,--version-script=link.T   -fPIC  -O2 -static-libgcc -static-libstdc++ -I../../include eq.o
rm phaser.o wahwah.o panning.o tremolo.o eq.o reverb.o iir.o vibrato.o echo.o crystalizer.o chorus.o
cp: cannot stat 'libretro-common/audio/dsp_filters/*.so': No such file or directory

RetroArch:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.
listing of the directory:
Code:
-rwxr-xr-x 1 root root  18K Dec  6 15:30 chorus.dll
-rwxr-xr-x 1 root root   47 Nov  2 12:17 configure
-rw-r--r-- 1 root root 2.9K Nov  2 12:17 crystalizer.c
-rwxr-xr-x 1 root root  18K Dec  6 15:30 crystalizer.dll
-rw-r--r-- 1 root root 5.4K Nov  2 12:17 echo.c
-rwxr-xr-x 1 root root  18K Dec  6 15:30 echo.dll
-rw-r--r-- 1 root root 9.8K Nov  2 12:17 eq.c
-rwxr-xr-x 1 root root  22K Dec  6 15:30 eq.dll
drwxr-xr-x 2 root root 4.0K Nov  2 12:17 fft
-rw-r--r-- 1 root root  11K Nov  2 12:17 iir.c
-rwxr-xr-x 1 root root  18K Dec  6 15:30 iir.dll
-rw-r--r-- 1 root root   57 Nov  2 12:17 link.T
-rw-r--r-- 1 root root 3.6K Nov  2 12:17 panning.c
-rwxr-xr-x 1 root root  18K Dec  6 15:30 panning.dll
-rw-r--r-- 1 root root 4.4K Nov  2 12:17 phaser.c
-rwxr-xr-x 1 root root  18K Dec  6 15:30 phaser.dll
-rw-r--r-- 1 root root 8.5K Nov  2 12:17 reverb.c
-rwxr-xr-x 1 root root  18K Dec  6 15:30 reverb.dll
-rw-r--r-- 1 root root 4.1K Nov  2 12:17 tremolo.c
-rwxr-xr-x 1 root root  18K Dec  6 15:30 tremolo.dll
-rw-r--r-- 1 root root 5.3K Nov  2 12:17 vibrato.c
-rwxr-xr-x 1 root root  18K Dec  6 15:30 vibrato.dll
-rw-r--r-- 1 root root 4.6K Nov  2 12:17 wahwah.c
-rwxr-xr-x 1 root root  18K Dec  6 15:30 wahwah.dll
This is the case for 1.8.1, too, which is, in fact, the archive I've used to see if it, unlike 1.7.7, works.

I'll email the maintainer though, you're right.

Also, I think it's probably the slackbuild, not the source archive, yeah, sorry.

Last edited by Geist; 12-06-2019 at 10:58 AM.
 
Old 12-06-2019, 11:19 AM   #2284
orbea
Senior Member
 
Registered: Feb 2015
Distribution: Slackware64-current
Posts: 1,839

Rep: Reputation: Disabled
I am the maintainer so you don't need to e-mail this time, but next time the maintainer might not read here.

1.7.7 is the last release archive I made for RetroArch and it seems no one else has cared to keep this up after I stopped, so the 1.8.1 download on github will not work and is incomplete. There are also major unfixed regressions upstream so updating the script may never be a good idea... I also can not reproduce your issue with the 1.7.7 script from SBo on current so please share a full log if you can still reproduce it with the untouched SBo script.
 
Old 12-06-2019, 04:29 PM   #2285
AlleyTrotter
Member
 
Registered: Jun 2002
Location: Coal Township PA
Distribution: Slackware64-14.2 (5.4.3) UEFI enabled (LFS-9.0 when Slackware becomes too easy)
Posts: 550

Rep: Reputation: 229Reputation: 229Reputation: 229
LibreOffice-6.3.1.2 in current now requires libfreehand. It's available on SBO
john
 
Old 12-07-2019, 10:50 PM   #2286
montagdude
Senior Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 1,644

Rep: Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267
I'm getting this error with crrcsim:

Code:
/usr/include/c++/9.2.0/ostream:691:5: note:   template argument deduction/substitution failed:
/usr/include/c++/9.2.0/ostream: In substitution of ‘template<class _Ostream, class _Tp> typename std::enable_if<std::__and_<std::__not_<std::is_lvalue_reference<_Tp> >, std::__is_convertible_to_basic_ostream<_Ostream>, std::__is_insertable<typename std::__is_convertible_to_basic_ostream<_Tp>::__ostream_type, const _Tp&, void> >::value, typename std::__is_convertible_to_basic_ostream<_Tp>::__ostream_type>::type std::operator<<(_Ostream&&, const _Tp&) [with _Ostream = std::basic_ostream<char>&; _Tp = std::basic_ostream<char>]’:
src/mod_video/crrc_animation.cpp:87:43:   required from here
/usr/include/c++/9.2.0/ostream:691:5: error: no type named ‘type’ in ‘struct std::enable_if<false, std::basic_ostream<char>&>’
make[2]: *** [Makefile:2775: crrcsim-crrc_animation.o] Error 1
make[2]: Leaving directory '/tmp/SBo/crrcsim-0.9.13'
make[1]: *** [Makefile:3257: all-recursive] Error 1
make[1]: Leaving directory '/tmp/SBo/crrcsim-0.9.13'
make: *** [Makefile:949: all] Error 2
Error: build failed.
Some quick googling seems to indicate this is related to boost. It worked fine on 14.2. However, my -current is not clean. Can anyone confirm the error?
 
Old 12-08-2019, 01:21 AM   #2287
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,161

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by montagdude View Post
I'm getting this error with crrcsim:

Code:
/usr/include/c++/9.2.0/ostream:691:5: note:   template argument deduction/substitution failed:
/usr/include/c++/9.2.0/ostream: In substitution of ‘template<class _Ostream, class _Tp> typename std::enable_if<std::__and_<std::__not_<std::is_lvalue_reference<_Tp> >, std::__is_convertible_to_basic_ostream<_Ostream>, std::__is_insertable<typename std::__is_convertible_to_basic_ostream<_Tp>::__ostream_type, const _Tp&, void> >::value, typename std::__is_convertible_to_basic_ostream<_Tp>::__ostream_type>::type std::operator<<(_Ostream&&, const _Tp&) [with _Ostream = std::basic_ostream<char>&; _Tp = std::basic_ostream<char>]’:
src/mod_video/crrc_animation.cpp:87:43:   required from here
/usr/include/c++/9.2.0/ostream:691:5: error: no type named ‘type’ in ‘struct std::enable_if<false, std::basic_ostream<char>&>’
make[2]: *** [Makefile:2775: crrcsim-crrc_animation.o] Error 1
make[2]: Leaving directory '/tmp/SBo/crrcsim-0.9.13'
make[1]: *** [Makefile:3257: all-recursive] Error 1
make[1]: Leaving directory '/tmp/SBo/crrcsim-0.9.13'
make: *** [Makefile:949: all] Error 2
Error: build failed.
Some quick googling seems to indicate this is related to boost. It worked fine on 14.2. However, my -current is not clean. Can anyone confirm the error?
I can confirm it, and it seems related to the newer gcc exposing an error in the code (probably a typo): archlinux has a patch for that (that I will apply too)

https://aur.archlinux.org/cgit/aur.g...atch?h=crrcsim

thanks for reporting!
 
2 members found this post helpful.
Old 12-08-2019, 07:42 AM   #2288
montagdude
Senior Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 1,644

Rep: Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267Reputation: 1267
Quote:
Originally Posted by ponce View Post
I can confirm it, and it seems related to the newer gcc exposing an error in the code (probably a typo): archlinux has a patch for that (that I will apply too)

https://aur.archlinux.org/cgit/aur.g...atch?h=crrcsim

thanks for reporting!
Thanks, the patch works. I will see if I can report it upstream.
Edit: except I'm getting a segfault when running the game. I will see if I can track it down.
Edit2: seems to have been caused by something in my ~/.crrcsim directory, so ignore that.

Last edited by montagdude; 12-08-2019 at 07:45 AM.
 
1 members found this post helpful.
Old 12-08-2019, 06:42 PM   #2289
sombragris
Member
 
Registered: Jul 2004
Location: Asuncion, Paraguay, South America
Distribution: Slackware
Posts: 466

Rep: Reputation: 213Reputation: 213Reputation: 213
vegastrike cannot be built in -current. Looks like the culprit is the newer boost.

Code:
/tmp/SBo/vegastrike-src-0.5.1.r1/src/audio/Source.h:243:76: error: use of deleted function ‘boost::shared_ptr<Audio::RenderableSource>::shared_ptr(const boost::shared_ptr<Audio::RenderableSource>&)’
  243 |         SharedPtr<RenderableSource> getRenderable() const throw() { return rendererDataPtr; }
      |                                                                            ^~~~~~~~~~~~~~~
In file included from /tmp/SBo/vegastrike-src-0.5.1.r1/boost/1_45/boost/shared_ptr.hpp:17,
                 from /tmp/SBo/vegastrike-src-0.5.1.r1/src/faction_generic.h:5,
                 from /tmp/SBo/vegastrike-src-0.5.1.r1/src/universe_generic.h:29,
                 from /tmp/SBo/vegastrike-src-0.5.1.r1/src/vs_globals.h:6,
                 from /tmp/SBo/vegastrike-src-0.5.1.r1/src/cmd/unit_generic.h:41,
                 from /tmp/SBo/vegastrike-src-0.5.1.r1/src/networking/fileutil.cpp:1:
/tmp/SBo/vegastrike-src-0.5.1.r1/boost/1_45/boost/smart_ptr/shared_ptr.hpp:168:25: note: ‘boost::shared_ptr<Audio::RenderableSource>::shared_ptr(const boost::shared_ptr<Audio::RenderableSource>&)’ is implicitly declared as deleted because ‘boost::shared_ptr<Audio::RenderableSource>’ declares a move constructor or move assignment operator
There are various error messages after this one.
 
Old 12-10-2019, 12:05 PM   #2290
edps
LQ Newbie
 
Registered: Aug 2019
Posts: 8

Rep: Reputation: 0
Hi all,

i'm getting errors when trying to build perl-http-server-simple:


Code:
HTTP-Server-Simple-0.51/ex/sample_server
Can't locate inc/Module/Install.pm in @INC (you may need to install the inc::Module::Install module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at Makefile.PL line 1.
BEGIN failed--compilation aborted at Makefile.PL line 1.
Cleaning up...

perl-http-server-simple:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?:
This is SOLVED when i'm install perl-Module-Install.
 
Old 12-10-2019, 03:38 PM   #2291
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,161

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by edps View Post
Hi all,

i'm getting errors when trying to build perl-http-server-simple:


Code:
HTTP-Server-Simple-0.51/ex/sample_server
Can't locate inc/Module/Install.pm in @INC (you may need to install the inc::Module::Install module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at Makefile.PL line 1.
BEGIN failed--compilation aborted at Makefile.PL line 1.
Cleaning up...

perl-http-server-simple:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?:
This is SOLVED when i'm install perl-Module-Install.
that's actually not necessary as the error is because the version of perl-http-server-simple hasn't been patched yet for the @INC of the newer perls that doesn't include the current directory anymore (the needed module is already there): waiting for an upstream version that fixes this you can build it just passing the perl-http-server-simple.SlackBuild an additional environment variable, PERL_USE_UNSAFE_INC=1
if you're using sbopkg you can also do it like this
Code:
sbopkg -i perl-http-server-simple:PERL_USE_UNSAFE_INC=1
 
1 members found this post helpful.
Old 12-12-2019, 04:37 AM   #2292
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,161

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by sombragris View Post
vegastrike cannot be built in -current. Looks like the culprit is the newer boost.

Code:
/tmp/SBo/vegastrike-src-0.5.1.r1/src/audio/Source.h:243:76: error: use of deleted function ‘boost::shared_ptr<Audio::RenderableSource>::shared_ptr(const boost::shared_ptr<Audio::RenderableSource>&)’
  243 |         SharedPtr<RenderableSource> getRenderable() const throw() { return rendererDataPtr; }
      |                                                                            ^~~~~~~~~~~~~~~
In file included from /tmp/SBo/vegastrike-src-0.5.1.r1/boost/1_45/boost/shared_ptr.hpp:17,
                 from /tmp/SBo/vegastrike-src-0.5.1.r1/src/faction_generic.h:5,
                 from /tmp/SBo/vegastrike-src-0.5.1.r1/src/universe_generic.h:29,
                 from /tmp/SBo/vegastrike-src-0.5.1.r1/src/vs_globals.h:6,
                 from /tmp/SBo/vegastrike-src-0.5.1.r1/src/cmd/unit_generic.h:41,
                 from /tmp/SBo/vegastrike-src-0.5.1.r1/src/networking/fileutil.cpp:1:
/tmp/SBo/vegastrike-src-0.5.1.r1/boost/1_45/boost/smart_ptr/shared_ptr.hpp:168:25: note: ‘boost::shared_ptr<Audio::RenderableSource>::shared_ptr(const boost::shared_ptr<Audio::RenderableSource>&)’ is implicitly declared as deleted because ‘boost::shared_ptr<Audio::RenderableSource>’ declares a move constructor or move assignment operator
There are various error messages after this one.
I'm sorry but I haven't found anything to let vegastrike build on current...
have you tried pinging the maintainer about it?
 
Old 12-12-2019, 06:30 AM   #2293
sombragris
Member
 
Registered: Jul 2004
Location: Asuncion, Paraguay, South America
Distribution: Slackware
Posts: 466

Rep: Reputation: 213Reputation: 213Reputation: 213
Quote:
Originally Posted by ponce View Post
I'm sorry but I haven't found anything to let vegastrike build on current...
have you tried pinging the maintainer about it?
No, but I have checked the upstream website and indeed this was the latest release back in 2014. So I think we should give up and remove it until the project revives again.
 
Old 12-12-2019, 06:38 AM   #2294
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,161

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by sombragris View Post
No, but I have checked the upstream website and indeed this was the latest release back in 2014. So I think we should give up and remove it until the project revives again.
maybe there are working forks, I really have no idea... please try getting in touch with the maintainer: if there are no alternatives I'll drop it.
 
1 members found this post helpful.
Old 12-12-2019, 09:42 AM   #2295
Geist
Member
 
Registered: Jul 2013
Distribution: Slackware 14 / current
Posts: 262

Rep: Reputation: Disabled
Quote:
Originally Posted by orbea View Post
I am the maintainer so you don't need to e-mail this time, but next time the maintainer might not read here.

1.7.7 is the last release archive I made for RetroArch and it seems no one else has cared to keep this up after I stopped, so the 1.8.1 download on github will not work and is incomplete. There are also major unfixed regressions upstream so updating the script may never be a good idea... I also can not reproduce your issue with the 1.7.7 script from SBo on current so please share a full log if you can still reproduce it with the untouched SBo script.
I think the video and audio filter makefiles don't detect my platform correctly, since DYLIB ends up as dll every time, as well as getting the extra flags.

Code:
ifeq ($(platform),)
   platform = unix
   ifeq ($(shell uname -a),)
      platform = win
   else ifneq ($(findstring MINGW,$(shell uname -a)),)
      platform = win
   else ifneq ($(findstring Darwin,$(shell uname -a)),)
      platform = osx
      arch = intel
      ifeq ($(shell uname -p),powerpc)
         arch = ppc
      endif
   else ifneq ($(findstring win,$(shell uname -a)),)
      platform = win
   endif
endif

[SNIP]


ifeq ($(platform), unix)
   DYLIB = so
else ifeq ($(platform), osx)
   compiler := $(CC)
   DYLIB = dylib
   ldflags := -dynamiclib
else
   extra_flags += -static-libgcc -static-libstdc++
   DYLIB = dll
endif
uname -a
Code:
Linux 4.19.68 #1 SMP Sun Aug 25 19:32:21 CDT 2019 x86_64 AMD Ryzen 7 2700 Eight-Core Processor AuthenticAMD GNU/Linux

Last edited by Geist; 12-12-2019 at 09:52 AM.
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 06:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 02:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 02:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 08:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:10 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration